import { InputOperation } from "./input-operation.js";
import { InputParameter } from "./input-parameter.js";
import { ResponseLocation } from "./response-location.js";
export interface InputOperationPaging {
    nextLink?: InputNextLink;
    continuationToken?: InputContinuationToken;
    itemPropertySegments: string[];
}
export interface InputNextLink {
    operation?: InputOperation;
    responseSegments: string[];
    responseLocation: ResponseLocation;
}
export interface InputContinuationToken {
    parameter: InputParameter;
    responseSegments: string[];
    responseLocation: ResponseLocation;
}
//# sourceMappingURL=operation-paging.d.ts.map