// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
export var RequestLocation;
(function (RequestLocation) {
    RequestLocation["None"] = "";
    RequestLocation["Uri"] = "Uri";
    RequestLocation["Path"] = "Path";
    RequestLocation["Query"] = "Query";
    RequestLocation["Header"] = "Header";
    RequestLocation["Body"] = "Body";
})(RequestLocation || (RequestLocation = {}));
export const requestLocationMap = {
    path: RequestLocation.Path,
    query: RequestLocation.Query,
    header: RequestLocation.Header,
    body: RequestLocation.Body,
    uri: RequestLocation.Uri,
};
//# sourceMappingURL=request-location.js.map